Name:           peripety
Version:        0.1.2
Release:        3%{?dist}
Summary:        Storage event notification daemon
License:        MIT
URL:            https://github.com/cathay4t/peripety
Source0:        https://github.com/cathay4t/peripety/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         peripety_fix_cargo_deps.patch
ExclusiveArch:  %{rust_arches}
BuildRequires:  rust-packaging
%{?systemd_requires}
BuildRequires:  systemd systemd-devel
BuildRequires:  crate(nix) >= 0.10.0
BuildRequires:  crate(regex) >= 0.2.10
BuildRequires:  crate(serde) >= 1.0.0
BuildRequires:  crate(serde_derive) >= 1.0.0
BuildRequires:  crate(serde_json) >= 1.0.0
BuildRequires:  crate(toml) >= 0.4.2
BuildRequires:  crate(chrono) >= 0.4.0
BuildRequires:  crate(libc) >= 0.2
BuildRequires:  crate(clap) >= 2.31.2

%description
Peripety is designed to parse system storage logging into structured storage
event helping user investigate storage issues.

%prep
%setup -q
%autosetup -p1
%cargo_prep

%build
%cargo_build

%install
%make_install

%files
%doc
%license LICENSE
%{_bindir}/prpt
%{_bindir}/peripetyd
%{_mandir}/man1/prpt.1*
%config(noreplace) %{_sysconfdir}/peripetyd.conf
%{_unitdir}/peripetyd.service

%post
%systemd_post peripetyd.service

%preun
%systemd_preun peripetyd.service

%postun
%systemd_postun_with_restart peripetyd.service

%changelog
* Tue Jul 24 2018 Gris Ge <fge@redhat.com> - 0.1.2-3
- Fix cargo dependency.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 05 2018 Gris Ge <fge@redhat.com> - 0.1.2-1
- Initial release.
